Page MenuHome

Assert displaying Z-Buffer in image editor
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.19041-SP0 64 Bits
Graphics card: GeForce GTX 1080 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 436.30

Blender Version
Broken: version: 2.91.0 Alpha, branch: master, commit date: 2020-08-05 19:34, hash: rBf41eb8b2a9d2
Worked: 2.83.4

Short description of error
Selecting the Z-Buffer as display channel for a rendered image causes an assert in a debug build of Blender. A release build doesn't display the Z-Buffer properly.

immDrawPixelsTexScaled_clipping(IMMDrawPixelsTexState * state, float x, float y, int img_w, int img_h, eGPUTextureFormat gpu_format, bool use_filter, void * rect, float scaleX, float scaleY, float clip_min_x, float clip_min_y, float clip_max_x, float clip_max_y, float xzoom, float yzoom, float * color) Line 127	C
immDrawPixelsTex(IMMDrawPixelsTexState * state, float x, float y, int img_w, int img_h, eGPUTextureFormat gpu_format, bool use_filter, void * rect, float xzoom, float yzoom, float * color) Line 325	C
sima_draw_zbuffloat_pixels(Scene * scene, float x1, float y1, int rectx, int recty, const float * rect_float, float zoomx, float zoomy) Line 530	C
draw_image_buffer(const bContext * C, SpaceImage * sima, ARegion * region, Scene * scene, ImBuf * ibuf, float fx, float fy, float zoomx, float zoomy) Line 592	C
draw_image_main(const bContext * C, ARegion * region) Line 965	C
image_main_region_draw(const bContext * C, ARegion * region) Line 677	C
ED_region_do_draw(bContext * C, ARegion * region) Line 543	C
wm_draw_window_offscreen(bContext * C, wmWindow * win, bool stereo) Line 699	C
wm_draw_window(bContext * C, wmWindow * win) Line 827	C
wm_draw_update(bContext * C) Line 1030	C
WM_main(bContext * C) Line 482	C
main(int argc, const unsigned char * * UNUSED_argv_c) Line 548	C

Exact steps for others to reproduce the error

  1. Create a debug build of Blender
  2. Render an image
  3. Select the Z-Buffer in the display channel drop-down in the image editor

Event Timeline

Richard Antalik (ISS) changed the task status from Needs Triage to Confirmed.Aug 6 2020, 6:33 AM

Triggered BLI_assert(!"Incompatible format passed to immDrawPixels");

Robert Guetzkow (rjg) renamed this task from Crash displaying the Z-Buffer the image editor to Assert displaying Z-Buffer in image editor.Aug 6 2020, 9:45 AM
Robert Guetzkow (rjg) updated the task description. (Show Details)
Jeroen Bakker (jbakker) closed this task as Resolved.Sep 25 2020, 5:02 PM
Jeroen Bakker (jbakker) claimed this task.

This code path isn't in use anymore I will close the issue. If there are still problems please let us know! Issue has been addressed by D8234.

I can confirm that it works fine with the changes to the Image Editor.